Subject: Re: Mercurial vs Updated git HOWTO for kernel hackers

From: Matt Mackall <[email-masked]>
Date: Fri, 24 Jun 2005 11:03:07 -0700

On Fri, Jun 24, 2005 at 09:57:00AM -0400, Kevin Smith wrote:
> Mercurial's tags use a radical approach, whereas cogito's are more 
> conventional. I haven't yet used mercurial's versioned-tags enough yet 
> to judge whether they are better, worse, or just different.

FYI, after reading Linus' rant about tags, I added a second kind of
tags to Mercurial. So now it has both 'official' tags, which are
properly version controlled, and 'private' tags (like git's) as well.

To add a local tag, add a section like this to .hg/hgrc:

[tags]
tested = d6ac88a738c4b3afea56ff09e449b91d85abff68

(This was a bit of a no-brainer, as it was two lines of code)
-- 
Mathematics is the supreme nostalgia of our time.